from snipper.snip_dir import snip_dir
from snipper.load_citations import get_aux, get_bibtex

def main():
    bibfile = get_bibtex('latex/library.bib')
    auxfile = get_aux('latex/index.aux')
    references = dict(bibtex=bibfile,
                      aux=auxfile,
                      commands=[dict(command='\\aref2', output="(Assignment 2, %s)", aux=auxfile),
                                dict(command='\\nref', output="\cite[%s]{herlau}", aux=auxfile),
                               ])
    snip_dir("./cs101_instructor", "./cs101_students", output_dir="./cs101_output", references=references)

if __name__ == "__main__":
    main()
